## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate notify

Name:           rust-notify5
Version:        5.2.0
Release:        %autorelease
Summary:        Cross-platform filesystem notification library

# * license in crate metadata is misleading:
#   - old code is covered by the CC0-1.0 license,
#   - new code is dual-licensed under CC0-1.0 or (non-standard) Artistic-2.0
# * choose to use this project under only the CC0-1.0 license due to the unusual
#   and non-standard "choice of venue" clause that was attached to the
#   Artistic-2.0 license text by upstream
# https://github.com/notify-rs/notify/issues/514
License:        CC0-1.0
URL:            https://crates.io/crates/notify
Source:         %{crates_source}
Source:         https://github.com/notify-rs/notify/raw/notify-5.1.0/LICENSE
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          notify-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * update license in crate metadata
# * remove macOS-specific features
Patch:          notify-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Cross-platform filesystem notification library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-channel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-channel-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-channel" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-channel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+manual_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+manual_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "manual_tests" feature of the "%{crate}" crate.

%files       -n %{name}+manual_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+timing_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+timing_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "timing_tests" feature of the "%{crate}" crate.

%files       -n %{name}+timing_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# include actual license text
cp -pav %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 02 2023 Fabio Valentini <decathorpe@gmail.com> - 5.2.0-1
- Initial import (notify 5 compat package)
## END: Generated by rpmautospec
